{
  "name": "pdf-reader",
  "version": "1.0.5",
  "description": "",
  "main": "index.js",
  "type": "module",
  "scripts": {
    "types": "rimraf __generated__ && typed-scss-modules ./src --nameFormat none --exportType default --outputFolder __generated__",
    "lint": "eslint ./src",
    "licenses": "license-report --output=markdown > ./src/assets/licenses_node.md",
    "debugger": "cd \"%MSFS_SDK%\\Tools\\CoherentGT Debugger\" && Debugger.exe",
    "locale": "cd \"%MSFS_SDK%\\Tools\\MSFS_Localization\" && MSFSLocalizationManager.exe",
    "dev": "npx rollup -c -w",
    "clean": "rimraf ../html_ui/InGamePanels/pdf-reader-panel/ && rimraf .rollup.cache",
    "build": "npm version patch && npx rollup -c",
    "release": "yarn types && yarn lint && yarn run licenses && yarn clean && npm version patch && cross-env NODE_ENV=production npx rollup -c"
  },
  "engines": {
    "npm": "USE YARN",
    "yarn": ">=1.22.5",
    "node": ">=18"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@microsoft/msfs-types": "^1.14.6",
    "@rollup/plugin-commonjs": "^25.0.0",
    "@rollup/plugin-json": "^6.0.0",
    "@rollup/plugin-node-resolve": "^15.1.0",
    "@rollup/plugin-terser": "^0.4.3",
    "@rollup/plugin-typescript": "^11.1.1",
    "@types/react": "^18.2.8",
    "@types/react-dom": "^18.2.4",
    "@types/uuid": "^9.0.7",
    "@typescript-eslint/eslint-plugin": "^6.10.0",
    "@typescript-eslint/parser": "^6.10.0",
    "autoprefixer": "^10.4.14",
    "cross-env": "^7.0.3",
    "eslint": "^8.42.0",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-react": "^7.32.2",
    "eslint-plugin-react-hooks": "^4.6.0",
    "license-report": "^6.5.0",
    "node-sass": "^9.0.0",
    "postcss": "^8.4.24",
    "prettier": "^3.0.3",
    "prettier-plugin-organize-imports": "^3.2.4",
    "rimraf": "^5.0.1",
    "rollup": "^4.3.1",
    "rollup-plugin-copy": "^3.4.0",
    "rollup-plugin-postcss": "^4.0.2",
    "rollup-plugin-react-svg": "^3.0.3",
    "rollup-plugin-replace": "^2.2.0",
    "rollup-plugin-version-injector": "^1.3.3",
    "svg-slim": "^2.0.5",
    "tslib": "^2.5.3",
    "typed-scss-modules": "^7.1.0",
    "typescript": "5.2.2",
    "yarn": "^1.22.19"
  },
  "dependencies": {
    "@emotion/react": "^11.11.1",
    "@emotion/styled": "^11.11.0",
    "@mui/icons-material": "^5.14.16",
    "@mui/material": "^5.14.17",
    "postcss-import": "^15.1.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "uuid": "^9.0.1"
  }
}
